--- title: "getMail" slug: "ai-application-service-cloudoutboundmailer-getmail" tags: ["Cloud Outbound Mailer"] updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/ai-application-service-cloudoutboundmailer-getmail" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getMail Available in Classic and VPC Get a list of emails you've requested to send. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /mails/{mailId} | ### Request headers For information about the headers common to all Cloud Outbound Mailer APIs, see [Cloud Outbound Mailer request headers](/docs/en/ai-application-service-cloudoutboundmailer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94)를 참조해 주십시오. #요청헤더). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `mailId` | String | Required | Unique ID to identify each email | ### Request example The following is a sample request. ``` curl --location --request GET 'https://mail.apigw.ntruss.com/api/v1/mails/20181120000000010999' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `requestId` | String | - | Email delivery request ID to distinguish each request - `requestId` can contain multiple `mailId` when requesting multiple mailings at once | | `requesterIp` | String | - | Mailing requester IP | | `requestDate` | Object | - | Request date and time - See [NesDateTime](/docs/en/common-vapidatatype-nesdatetime) | | `mailId` | String | - | Unique ID to identify each email | | `title` | String | - | Email subject | | `templateSid` | Integer | - | SID of the queried template | | `templateName` | String | - | Name of the queried template | | `emailStatus` | [EmailStatus](/docs/en/common-vapidatatype-nesstatus) | - | Delivery Status | | `senderAddress` | String | - | Sender's email address | | `senderName` | String | - | Sender name | | `sendDate` | Object | - | Delivery completion date and time - See [NesDateTime](/docs/en/common-vapidatatype-nesdatetime) | | `reservationDate` | Object | - | Reserved date and time - See [NesDateTime](/docs/en/common-vapidatatype-nesdatetime) | | `body` | String | - | Email body | | `referencesHeader` | String | - | References header - A string of 20 to 100 characters in the format of - Unique value for collecting and viewing specific emails - If you enter a value in the field, you can collect and view only emails with the same value in the future. - It is used in NAVER Mail to collect and view emails - If the value is duplicated, it is determined to be the same email thread and the emails are grouped together - Only the topmost value of the References header is used to determine | | `attachFiles` | List | - | Attachment list - See [AttachFile](/docs/en/common-vapidatatype-nesattachfile) | | `recipients` | List | - | Recipient list - See [Recipient](/docs/en/common-vapidatatype-nesrecipient) | | `advertising` | Boolean | - | Whether it is advertising email - `true` \| `false` - `true`: advertising email - `false`: general email | ### Response status codes For information about the HTTP status codes common to all Cloud Outbound Mailer APIs, see [Cloud Outbound Mailer response status codes](/docs/en/ai-application-service-cloudoutboundmailer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "requestId":"20181120000000010999", "requesterIp":"10.78.xx.73", "requestDate":{ "utc":1542694793240, "formattedDate":"2018-11-20", "formattedDateTime":"2018-11-20 15:19:53 240" }, "mailId":"20181120000000011009", "title":"test!", "templateSid":41, "templateName":"test2", "emailStatus":{ "label":"Partially failed", "code":"PF" }, "senderAddress":"a@ac.om", "senderName":null, "sendDate":{ "utc":1542694793856, "formattedDate":"2018-11-20", "formattedDateTime":"2018-11-20 15:19:53 856" }, "reservationDate":null, "body":"...", "referencesHeader":null, "attachFiles":[ ], "recipients":[ { "address":"test123456789@ncp-mail.com", "name":"", "type":{ "label":"Recipient", "code":"R" }, "received":false, "receivedDate":null, "status":{ "label":"Delivery failed", "code":"F" }, "retryCount":0, "sendResultMessage":"550 5.1.1 No such user 3vir-yOYtA9fRTlWpjkR3 - nsmtp\n", "sendResultCode":"RECIPIENT_ADDRESS_ERROR", "sendResultCodeMessage":"Delivery failed due to recipient address error." }, { "address":"test12@ncp-mail.com", "name":"", "type":{ "label":"Recipient", "code":"R" }, "received":false, "receivedDate":null, "status":{ "label":"Delivery succeeded", "code":"S" }, "retryCount":0, "sendResultMessage":"Mail sent.", "sendResultCode":"MAIL_SENT", "sendResultCodeMessage":"Email delivery was successful." } ], "advertising":false } ```